{$I AWDEFINE.INC}

{$IFDEF UseAPWDLL}
!! STOP COMPILE -- UseAPWDLL must be turned off when compiling APDREG
{$ENDIF}

{$IFDEF BuildAPWDLL}
!! STOP COMPILE -- BuildAPWDLL must be turned off when compiling APDREG
{$ENDIF}

unit APDReg;

interface

uses
  DsgnIntf;

procedure Register;

implementation

uses
  Classes,
  AdPort,
  AdTerm,
  AdDataB,
  AdIniDB,
  AdModDB,
  AdModem,
  AdPBook,
  AdPBEdit,
  AdDial,
  AdGetNum,
  AdStatLt,
  AdProtcl,
  AdPStat;

procedure Register;
begin
  {Register protperty editors}
  RegisterPropertyEditor(TypeInfo(TBaudRate), TComPort,
                         'Baud', TBaudRateProperty);
  RegisterPropertyEditor(TypeInfo(TDBFieldList), TIniDBase,
                         'FieldList', TDBFieldListProperty);
  RegisterPropertyEditor(TypeInfo(TDBIndexedField), TIniDBase,
                         'IndexedField', TIndexedFieldProperty);

  {Register components}
  RegisterComponents('APD', [TComPort,
                             TEmulator,
                             TTerminal,
                             TBPTerminal,
                             TProtocol,
                             TProtocolLog,
                             TProtocolStatus,
                             TIniDBase,
                             TModemDBase,
                             TModem,
                             TPhonebook,
                             TPhonebookEditor,
                             TPhoneNumberSelector,
                             TModemDialer,
                             TStatusLightController,
                             TStatusLight]);
end;

end.

