unit Exbplus0;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, AdProtcl, AdPStat, AdTerm, AdPort;

type
  TForm1 = class(TForm)
    ComPort1: TComPort;
    Emulator1: TEmulator;
    BPTerminal1: TBPTerminal;
    Protocol1: TProtocol;
    ProtocolStatus1: TProtocolStatus;
    procedure FormActivate(Sender: TObject);
    procedure BPTerminal1BPlusStart(Sender: TObject);
    procedure Protocol1ProtocolFinish(CP: TObject; ErrorCode: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormActivate(Sender: TObject);
begin
  BPTerminal1.BPlusTriggers := True;
end;

procedure TForm1.BPTerminal1BPlusStart(Sender: TObject);
begin
  BPTerminal1.Active := False;
end;

procedure TForm1.Protocol1ProtocolFinish(CP: TObject; ErrorCode: Integer);
begin
  BPTerminal1.Active := True;
  BPTerminal1.BPlusTriggers := True;
end;

end.
