unit Exlog0;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, AdTerm, AdPort;

type
  TExampleLog = class(TForm)
    ComPort1: TComPort;
    Terminal1: TTerminal;
    LogOps: TRadioGroup;
    Quit: TButton;
    procedure QuitClick(Sender: TObject);
    procedure LogOpsClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ExampleLog: TExampleLog;

implementation

{$R *.DFM}

procedure TExampleLog.QuitClick(Sender: TObject);
begin
  Close;
end;

procedure TExampleLog.LogOpsClick(Sender: TObject);
begin
  ComPort1.Logging := TTraceLogState(LogOps.ItemIndex);
  LogOps.ItemIndex := Ord(ComPort1.Logging);
  Terminal1.SetFocus;
end;

end.
