unit Exemhex0;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, AdTerm, AdPort;

type
  TForm1 = class(TForm)
    ComPort1: TComPort;
    Terminal1: TTerminal;
    Emulator1: TEmulator;
    procedure Emulator1ProcessChar(CP: TObject; C: Char;
      var Command: TEmuCommand);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

const
  Digits : array[0..$F] of Char = '0123456789ABCDEF';

function HexB(B : Byte) : string;
  {-Return hex string for byte}
begin
  HexB[0] := #2;
  HexB[1] := Digits[B shr 4];
  HexB[2] := Digits[B and $F];
end;

procedure TForm1.Emulator1ProcessChar(CP: TObject; C: Char;
  var Command: TEmuCommand);
begin
  Command.Cmd := eString;
  Command.OtherStr := HexB(Byte(C)) + ' ';
end;

end.
