{$G+,X+}

{Conditional defines that may affect this unit}
{$I AWDEFINE.INC}

{*********************************************************}
{*                   DIRPARM.PAS 1.00                    *}
{*        Copyright (c) TurboPower Software 1995         *}
{*                 All rights reserved.                  *}
{*********************************************************}

unit Dirparm;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, TComIni;

type
  TDirectorySettingsForm = class(TForm)
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    UploadDirEdit: TEdit;
    DownloadDirEdit: TEdit;
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    procedure OkBtnClick(Sender: TObject);

  public
    constructor Create(AOwner : TComponent); override;
  end;

implementation

{$R *.DFM}

constructor TDirectorySettingsForm.Create(AOwner : TComponent);
begin
  inherited Create(AOwner);
  UploadDirEdit.Text   := UploadDir;
  DownloadDirEdit.Text := DownloadDir;
end;

procedure TDirectorySettingsForm.OkBtnClick(Sender: TObject);
begin
  UploadDir   := UploadDirEdit.Text;
  DownloadDir := DownloadDirEdit.Text;
end;

end.

